//
// Created by sebastian on 09.02.26.
//

#ifndef GUITEXTURE_H
#define GUITEXTURE_H
#include "glad/glad.h"
#include "glm/vec2.hpp"


class GUITexture {
private:
    const GLuint textureID;
    const glm::vec2 position;
    const glm::vec2 scale;

public:
    GUITexture(GLuint textureID, glm::vec2 position, glm::vec2 scale);

    [[nodiscard]] GLuint getTextureID() const {return textureID;}
    [[nodiscard]] glm::vec2 getPosition() const {return position;}
    [[nodiscard]] glm::vec2 getScale() const {return scale;}

};



#endif //GUITEXTURE_H
